
#ifndef _STRING_H
#define _STRING_H

#include <stddef.h>

extern void * memcpy(void * dest, const void * src, size_t n);
extern void * memset(void * s, unsigned char c, size_t n);
extern void * memmove(void * dest, const void * src, size_t n);
extern int8_t memcmp(const void * s1, const void * s2, size_t n);

extern char * strcpy(char * dest, const char * src);
extern char * strncpy(char * dest, const char * src, size_t n);
extern size_t strlen(const char * s);
extern int8_t strcmp(const char * s1, const char * s2);
extern int8_t strncmp(const char * s1, const char * s2, size_t n);
extern char * strcat(char * dest, const char * src);

#endif

